/* This program mcimail.c created by Hilgraeve and assigned to the mcimail session*/
/* runs an automated logon script for connecting to MCI Mail.                    */

/*	$Revision: 1.1 $  */
/*	$Date: 1994/11/08 11:59:41 $  */

/* Define main function, which is always the starting point of C programs. */
/* (The term "void" indicates that the function returns no value.) */
#include <defines.h>

void main()
	{
	/* Declare variables */
	long ScriptHandle;
	int ReturnValue;
	char Buffer[128];

	/* Initialize variables */
	ReturnValue = 0;
	ScriptHandle = 0;

	/* Establish a link between this script program and HyperACCESS */
	ScriptHandle = haInitialize(0,0,0,0);

	/* Exit if intialization of link with HyperACCESS failed */
	if (ScriptHandle == 0) exit();

	ReturnValue = -1;
	/* Wait for the user name prompt */
	while (ReturnValue < 0)
		{
		ReturnValue = haWaitForString(ScriptHandle, 1, " name: ", 3000L);
		if (ReturnValue == HA_ERR_CONECTION_LOST)
			break;
		if (ReturnValue < 0)
			haTypeText(ScriptHandle, 0, "\r");
		}

	/* Get User Name value from Runtime values dialog box */
	if (ReturnValue >= 0)
		ReturnValue = haGetRuntimeValue(ScriptHandle, 1, 1, 128, Buffer);

	/* Type the value */
	if (ReturnValue >= 0)
		ReturnValue = haTypeText(ScriptHandle, 0, Buffer);

	/* Wait for a prompt */
	if (ReturnValue >= 0)
		ReturnValue = haWaitForString(ScriptHandle, 1, "sword: ", 32000L);

	/* Get Password value from Runtime Values dialog box */
	if (ReturnValue >= 0)
		ReturnValue = haGetRuntimeValue(ScriptHandle, 3, 1, 128, Buffer);

	/* Type the value */
	if (ReturnValue >= 0)
		ReturnValue = haTypeText(ScriptHandle, 0, Buffer);

	/* Terminate link between HyperACCESS and script program */
	haTerminate(ScriptHandle, 0);
	}
